## org.apache.poi.hwpf.usermodel
Class ObjectPoolImpl

    java.lang.Object
      org.apache.poi.hwpf.usermodel.ObjectPoolImpl

All Implemented Interfaces:
  ObjectsPool

    @Internal
    public class ObjectPoolImpl

extends java.lang.Object
implements ObjectsPool

Constructor Summary
`ObjectPoolImpl(DirectoryEntry _objectPool)`

Method Summary
`Entry` `getObjectById(java.lang.String objId)`
`void` `writeTo(DirectoryEntry directoryEntry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectPoolImpl

    public ObjectPoolImpl(DirectoryEntry _objectPool)

Method Detail

### getObjectById

    public Entry getObjectById(java.lang.String objId)

  Specified by:
    `getObjectById` in interface `ObjectsPool`

### writeTo

    @Internal
    public void writeTo(DirectoryEntry directoryEntry)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.